org.apache.solr.client.solrj.io.stream

## Class SignificantTermsStream.SignificantTermsCall

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.SignificantTermsStream.SignificantTermsCall

All Implemented Interfaces:
  Callable<NamedList>

Enclosing class:
  SignificantTermsStream

    protected class SignificantTermsStream.SignificantTermsCall
    extends Object
    implements Callable<NamedList>

### Constructor Summary

Constructors
Constructor and Description
`SignificantTermsCall(String baseUrl, Map<String,String> paramsMap, String field, float minDocFreq, float maxDocFreq, int minTermLength, int numTerms)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<Double>` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignificantTermsCall

    public SignificantTermsCall(String baseUrl,
                                Map<String,String> paramsMap,
                                String field,
                                float minDocFreq,
                                float maxDocFreq,
                                int minTermLength,
                                int numTerms)

### Method Detail

#### call

    public NamedList<Double> call()
                           throws Exception

Specified by:
  `call` in interface `Callable<NamedList>`
Throws:
  `Exception`